unit Favorite;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, BrowseDr, ElpsPanl, Placemnt;

type
  TFavoritesForm = class(TForm)
    OKBtn: TButton;
    Bevel1: TBevel;
    BrowseForLibaryBtn: TSpeedButton;
    BrowseForProjectsBtn: TSpeedButton;
    BrowseForImagesBtn: TSpeedButton;
    BrowseDirectoryDlg1: TdfsBrowseDirectoryDlg;
    FormStorage1: TFormStorage;
    GroupBox1: TGroupBox;
    EllipsisPanel1: TdfsEllipsisPanel;
    GroupBox2: TGroupBox;
    EllipsisPanel2: TdfsEllipsisPanel;
    GroupBox3: TGroupBox;
    EllipsisPanel3: TdfsEllipsisPanel;
    procedure BrowseForLibaryBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BrowseForProjectsBtnClick(Sender: TObject);
    procedure BrowseForImagesBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FavoritesForm: TFavoritesForm;

implementation

uses Main;

{$R *.DFM}

procedure TFavoritesForm.BrowseForLibaryBtnClick(Sender: TObject);
begin
  BrowseDirectoryDlg1.Selection := EllipsisPanel1.Caption;
  BrowseDirectoryDlg1.Title := 'Browse for Delphi Libary Folder';
  if BrowseDirectoryDlg1.Execute then
    EllipsisPanel1.Caption := BrowseDirectoryDlg1.Selection;
end;

procedure TFavoritesForm.FormCreate(Sender: TObject);
begin
  FormStorage1.IniFileName := ChangeFileExt(Application.ExeName,'.INI');
  FormStorage1.IniSection := 'Favorites';
  FormStorage1.RestoreFormPlacement;
end;

procedure TFavoritesForm.BrowseForProjectsBtnClick(Sender: TObject);
begin
 BrowseDirectoryDlg1.Selection := EllipsisPanel2.Caption;
  BrowseDirectoryDlg1.Title := 'Browse for Delphi Projects Folder';
  if BrowseDirectoryDlg1.Execute then
    EllipsisPanel2.Caption := BrowseDirectoryDlg1.Selection;
end;

procedure TFavoritesForm.BrowseForImagesBtnClick(Sender: TObject);
begin
 BrowseDirectoryDlg1.Selection := EllipsisPanel3.Caption;
  BrowseDirectoryDlg1.Title := 'Browse for Delphi Image Folder';
  if BrowseDirectoryDlg1.Execute then
    EllipsisPanel3.Caption := BrowseDirectoryDlg1.Selection;
end;

end.
